Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu App V2: Get note sub comments

/api/v1/xiaohongshu/app_v2/get_note_sub_commentssync$0.015 / call

Get sub-comment (reply) list under a specific comment of a note, using cursor pagination (TikHub · Xiaohongshu App V2)

Input
  • note_idstring

    Note ID (default "")

  • share_textstring

    xhslink.com / xhslink.cn / Share link, supports xiaohongshu.com, xhslink.com, xhslink.cn (default "")

  • comment_idstringrequired

    Parent comment ID

  • cursorstring

    Pagination cursor, leave empty for first request, extract cursor from $.data.data.cursor for next page (default "")

  • indexinteger

    Pagination index, pass 1 for first request, extract index from $.data.data.cursor for next page (default 1)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_note_sub_comments","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.